{
    "name": "pinus-sample-websocket-chat-game-server-ts-run",
    "version": "1.4.9",
    "private": false,
    "main": "./dist/app",
    "scripts": {
        "build": "tsc",
        "start": "yarn run build && cd dist &&  node app",
        "dev": "node tsrun.js",
        "test": "./node_modules/mocha/bin/mocha -t 5000 -r ts-node/register ./test/*test.ts",
        "cov": "nyc mocha",
        "ci": "yarn run test",
        "gen-api-ref": "node ../../../node_modules/typedoc/bin/typedoc --mode file --hideGenerator --excludeExternals --ignoreCompilerErrors --out ../../../run/site/public/api-reference/pinus-loader lib/",
        "local": "npm run build && cd dist && pinus start",
        "jenkins": "npm run build && cd dist && pinus start -D"
    },
    "dependencies": {
        "@alicloud/fc2": "^2.2.2",
        "@typegoose/typegoose": "^7.3.5",
        "@types/bluebird": "^3.5.19",
        "@types/chai": "^4.2.14",
        "@types/crc": "^3.4.0",
        "@types/lodash": "^4.14.168",
        "@types/mocha": "^8.2.0",
        "@types/mongoose": "^5.7.36",
        "@types/node": "8.10.54",
        "@types/redis": "^2.8.25",
        "@types/request-promise": "^4.1.47",
        "@types/underscore": "^1.10.24",
        "alipay-mobile": "^4.0.2",
        "bcrypt": "^5.0.0",
        "bluebird": "^3.5.1",
        "chai": "^4.2.0",
        "chinese-random-name": "^1.0.0",
        "crc": "^3.5.0",
        "cross-env": "^7.0.3",
        "csprng": "^0.1.2",
        "local": "^0.3.3",
        "moment": "^2.29.1",
        "mongoose": "^5.10.4",
        "mongoose-lean-getters": "^0.1.2",
        "mongoose-lean-virtuals": "^0.7.6",
        "mongoose-transactions": "^1.1.4",
        "node-schedule": "^1.3.2",
        "pinus": "^1.4.9",
        "pinus-robot": "^1.4.9",
        "pinus-robot-plugin": "^1.4.9",
        "pinus-scheduler": "^1.4.10",
        "redis": "^3.0.2",
        "redlock": "^4.2.0",
        "reflect-metadata": "^0.1.10",
        "request": "^2.88.2",
        "request-promise": "^4.2.6",
        "source-map-support": "^0.5.0",
        "tenpay": "^2.1.18",
        "ts-node": "^8.2.0",
        "typegoose": "^5.9.1",
        "xprofiler": "^1.2.5"
    },
    "devDependencies": {
        "@types/node-schedule": "^1.3.1",
        "mocha": "^8.4.0",
        "mocha-parallel-tests": "^2.3.0",
        "tslint": "^5.9.1",
        "typescript": "^3.9.7"
    }
}
